Documentation>C API
Data Fields
VlMserExtrReg Struct Reference

MSER: extremal region (declaration). More...

`#include <mser.h>`

## Data Fields

int | parent
int | index
vl_mser_pix | value
vl_uint | shortcut
vl_uint | area
float | variation
vl_uint | max_stable

## Detailed Description

MSER: extremal region.

Extremal regions (ER) are extracted from the region forest. Each region is represented by an instance of this structure. The structures are stored into an array, in arbitrary order.

ER are arranged into a tree. parent points to the parent ER, or to itself if the ER is the root.

An instance of the structure represents the extremal region of the level set of intensity VlMserExtrReg::value and containing the pixel VlMserExtReg::index.

VlMserExtrReg::area is the area of the extremal region and VlMserExtrReg::area_top is the area of the extremal region containing this region in the level set of intensity VlMserExtrReg::area + `delta`.

VlMserExtrReg::variation is the relative area variation ``(area_top-area)/area.

VlMserExtrReg::max_stable is a flag signaling whether this extremal region is also maximally stable.

## Field Documentation

## ◆ area

vl_uint VlMserExtrReg::area

area of the region

## ◆ index

int VlMserExtrReg::index

index of pivot pixel

## ◆ max_stable

vl_uint VlMserExtrReg::max_stable

max stable number (=0 if not maxstable)

## ◆ parent

int VlMserExtrReg::parent

index of the parent region

## ◆ shortcut

vl_uint VlMserExtrReg::shortcut

shortcut used when building a tree

## ◆ value

vl_mser_pix VlMserExtrReg::value

value of pivot pixel

## ◆ variation

float VlMserExtrReg::variation

rel. area variation

The documentation for this struct was generated from the following file:

- mser.h